<%@ page import="com.cidat.proclets.*,itourbaskBeans.*,java.util.*,q53_util.*,java.io.IOException" session="true" %>
<% com.cidat.proclets.ProcletServiceData sd=(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); 
String q53_idioma = q53Util.getIdioma(sd); 
String perfiles = (String)sd.getVal("perfiles");
List calendarioLiteralesList = null;
if(sd.getVal("literalesCalendario") != null){
    calendarioLiteralesList = (List)sd.getVal("literalesCalendario");
}
%>
<%
// Literales
String mnu_recogida_datos = q53Util.getLiteral(sd, "MNU_RECOGIDA_DATOS", q53_idioma);
String enc_hoy = q53Util.getLiteral(sd, "ENC_HOY", q53_idioma);
String enc_tipo_fecha = q53Util.getLiteral(sd, "ENC_TIPO_FECHA", q53_idioma);
String enc_tipo_hora = q53Util.getLiteral(sd, "ENC_TIPO_HORA", q53_idioma);
String n1_5 = q53Util.getLiteral(sd, "N1_5", q53_idioma);
String n1_12 = q53Util.getLiteral(sd, "N1_12", q53_idioma);
String enc_total = q53Util.getLiteral(sd, "ENC_TOTAL", q53_idioma);
String enc_personas = q53Util.getLiteral(sd, "ENC_PERSONAS", q53_idioma);
String enc_tipo_procedencia = q53Util.getLiteral(sd, "ENC_TIPO_PROCEDENCIA", q53_idioma);
String enc_local = q53Util.getLiteral(sd, "ENC_LOCAL", q53_idioma);
String enc_territorio_historico = q53Util.getLiteral(sd, "ENC_TERRITORIO_HISTORICO", q53_idioma);
String enc_comunidad_autonoma = q53Util.getLiteral(sd, "ENC_COMUNIDAD_AUTONOMA", q53_idioma);
String enc_pais = q53Util.getLiteral(sd, "ENC_PAIS", q53_idioma);
String usr_ver_formato_imprimir = q53Util.getLiteral(sd, "USR_VER_FORMATO_IMPRIMIR", q53_idioma);
String gen_terminar = q53Util.getLiteral(sd, "GEN_TERMINAR", q53_idioma);
String usr_ver_encuestas = q53Util.getLiteral(sd, "USR_VER_ENCUESTAS", q53_idioma);
String gen_terminar_ambas = q53Util.getLiteral(sd, "GEN_TERMINAR_AMBAS", q53_idioma);
String est_alert_select_th = q53Util.getLiteral(sd, "EST_ALERT_SELECT_TH", q53_idioma);
String enc_procedencia_datos = q53Util.getLiteral(sd, "ENC_PROCEDENCIA_DATOS", q53_idioma);
String enc_ccaa = q53Util.getLiteral(sd, "ENC_CCAA", q53_idioma);
String enc_total_personas = q53Util.getLiteral(sd, "ENC_TOTAL_PERSONAS", q53_idioma);
String enc_total_personas_1 = q53Util.getLiteral(sd, "ENC_TOTAL_PERSONAS_1", q53_idioma);
String enc_preg_obligatoria = q53Util.getLiteral(sd, "ENC_PREG_OBLIGATORIA", q53_idioma);
String est_compruebe_fecha = q53Util.getLiteral(sd, "EST_COMPRUEBE_FECHA", q53_idioma);
%>
<%!
/**
 * escribe una pregunta de tipo OPCIONES
 **/
private void escribirPregOpciones (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean, int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion = preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();    
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    if(obligatoria){
        out.println ("<td width='10' class='textorojobold'>*</td>");
    }else{
        out.println ("<td width='10'></td>");
    }
    out.println ("<td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>"+num_pregunta+"</td>");
    out.println ("<td class='textonegrobold'>&nbsp;"+descripcion+"</td>");
    out.println ("</tr>");        
    out.println ("<tr><td height='5'></td></tr>");
    out.println ("</table>");
    q53OpcionesBean opcionesBean = preguntaBean.getPreguntaOpciones();    
    String formato = opcionesBean.getFormato();    
    if (formato.equals(q53Constantes.FORMATO_SELECT)) {
        out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
        out.println ("<tr>");
        out.println ("<td width='25'></td>");
        out.println ("<td><select name='opt_"+codPregunta+"' class='inpsel'>");
        if (!obligatoria){
          out.println ("<option value=''>&nbsp;&nbsp;&nbsp;&nbsp;</option>");
        }
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
                out.println ("<option value='"+codOpcion+"'>"+descripcionOpcion+"</option>");
            }
        }
       
        out.println ("</select></td>");
        out.println ("</tr>");
        out.println ("</table>");
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','select');");
        out.println ("</script>");
    }else if (formato.equals(q53Constantes.FORMATO_CHECK)) {
        out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
        out.println ("<tr>");
        out.println ("<td width='25'></td>");
        
        out.println ("<input name='opt_"+codPregunta+"' type='hidden' id='tipo_check_"+codPregunta+"'>");
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
                out.println ("<td><input name='opt_check_"+codPregunta+"' type='checkbox' value='"+codOpcion+"'></td><td class='textoverdebold'>"+descripcionOpcion+"&nbsp;&nbsp;</td>");
            }
        }
        
        out.println ("</td>");
        out.println ("</tr>");
        out.println ("</table>");
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','check');");
        out.println ("</script>");
    }else if (formato.equals(q53Constantes.FORMATO_RADIO)) {
        out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
        out.println ("<tr>");
        out.println ("<td width='25'></td>");
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
                out.println ("<td><input name='opt_"+codPregunta+"' type='radio' value='"+codOpcion+"'></td>");
                out.println ("<td class='textoverdebold'>"+descripcionOpcion+"</td>");
                out.println ("<td width='8'></td>");
            }
        }
        
        out.println ("</tr>");
        out.println ("</table>");
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','radio');");
        out.println ("</script>");
    }
    escribirSeparador (out);
}
private void escribirSeparador (javax.servlet.jsp.JspWriter out) throws IOException {
	out.println ("<table cellpadding='0' cellspacing='0' border='0' width='100%'>");
	out.println ("<tr><td height='8'></td></tr>");
	out.println ("<tr><td bgcolor='#20a42c'><img src='/appcont/itourbask/imgs/px.gif' width='1' height='1'></td></tr>");
	out.println ("<tr><td height='8'></td></tr>");
	out.println ("</table>");
}
/**
 * escribe una pregunta de tipo TEXTO
 **/
private void escribirPregTexto (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean,  int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion = preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();
    q53TextoBean textoBean = preguntaBean.getPreguntaTexto();
    int tamano = textoBean.getTamanioTexto();
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    if(obligatoria){
        out.println ("<td width='10' class='textorojobold'>*</td>");
    }else{
        out.println ("<td width='10'></td>");
    }
    out.println ("<td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>"+num_pregunta+"</td>");
    out.println ("<td class='textonegrobold'>&nbsp;"+descripcion+"</td>");
    out.println ("</tr>");
    out.println ("<tr><td height='5'></td></tr>");
    out.println ("</table>");
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    out.println ("<td width='25'></td>");
    /*@todo dependiendo del tamaño, deberíamos poner más o menos lineas!!! */
    out.println ("<td><input name='txt_"+codPregunta+"' type='text' class='inptxt' style='width: 400px;'></td>");
    out.println ("</tr>");
    out.println ("</table>");
    out.println ("<script>");
    out.println ("preguntas["+preguntasLength+"]=new gen_PregTexto('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','texto','"+tamano+"');");
    out.println ("</script>");
    escribirSeparador (out);
}
/**
 * escribe una pregunta de tipo FECHA
 **/
private void escribirPregFecha (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean, ProcletServiceData sd,int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    List calendarioLiteralesList = null;
    if(sd.getVal("literalesCalendario") != null){
        calendarioLiteralesList = (List)sd.getVal("literalesCalendario");
    }
    String q53Idioma = q53Util.getIdioma(sd);
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion =preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();
    q53FechaBean fechaBean = preguntaBean.getPreguntaFecha();
    String fecha_min = fechaBean.getFechaMin();
    String fecha_max = fechaBean.getFechaMax();
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    if(obligatoria){
        out.println ("<td width='10' class='textorojobold'>*</td>");
    }else{
        out.println ("<td width='10'></td>");
    }
    out.println ("<td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>"+num_pregunta+"</td>");
    out.println ("<td class='textonegrobold'>&nbsp;"+descripcion+"</td>");
    out.println ("</tr>");
    out.println ("<tr><td height='5'></td></tr>");
    out.println ("</table>");
    java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat ("dd.MM.yyyy");
    String ahora = sdf.format (new java.util.Date());
    String ahora_dia = ahora.substring (0,2);
    String ahora_mes = ahora.substring (3,5);
    String ahora_anio = ahora.substring (6);
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    out.println ("<td width='25'></td>");
    out.println ("<td class='textoverdebold'>");
    out.println ("<select name='fech_"+codPregunta+"_dia' class='inpsel'>");
    for (int j=1; j<=31; j++) {
        if (j<10) {
            out.println ("<option value='0"+j+"' "+(ahora_dia.equals("0"+j)?"selected":"")+">"+j+"</option>");
        }else {
            out.println ("<option value='"+j+"' "+(ahora_dia.equals(""+j)?"selected":"")+">"+j+"</option>");
        }
    }
    out.println ("</select>");
    out.println ("&nbsp;&nbsp;&nbsp;&nbsp;");
    out.println ("<select name='fech_"+codPregunta+"_mes' class='inpsel'>");
    if(calendarioLiteralesList != null && !calendarioLiteralesList.isEmpty()){
        out.println ("<option value='01' "+(ahora_mes.equals("01")?"selected":"")+">"+calendarioLiteralesList.get(0)+"</option>");
        out.println ("<option value='02' "+(ahora_mes.equals("02")?"selected":"")+">"+calendarioLiteralesList.get(1)+"</option>");
        out.println ("<option value='03' "+(ahora_mes.equals("03")?"selected":"")+">"+calendarioLiteralesList.get(2)+"</option>");
        out.println ("<option value='04' "+(ahora_mes.equals("04")?"selected":"")+">"+calendarioLiteralesList.get(3)+"</option>");
        out.println ("<option value='05' "+(ahora_mes.equals("05")?"selected":"")+">"+calendarioLiteralesList.get(4)+"</option>");
        out.println ("<option value='06' "+(ahora_mes.equals("06")?"selected":"")+">"+calendarioLiteralesList.get(5)+"</option>");
        out.println ("<option value='07' "+(ahora_mes.equals("07")?"selected":"")+">"+calendarioLiteralesList.get(6)+"</option>");
        out.println ("<option value='08' "+(ahora_mes.equals("08")?"selected":"")+">"+calendarioLiteralesList.get(7)+"</option>");
        out.println ("<option value='09' "+(ahora_mes.equals("09")?"selected":"")+">"+calendarioLiteralesList.get(8)+"</option>");
        out.println ("<option value='10' "+(ahora_mes.equals("10")?"selected":"")+">"+calendarioLiteralesList.get(9)+"</option>");
        out.println ("<option value='11' "+(ahora_mes.equals("11")?"selected":"")+">"+calendarioLiteralesList.get(10)+"</option>");
        out.println ("<option value='12' "+(ahora_mes.equals("12")?"selected":"")+">"+calendarioLiteralesList.get(11)+"</option>");
    }
    out.println ("</select>");
    out.println ("&nbsp;&nbsp;&nbsp;&nbsp;");
    out.println ("<select name='fech_"+codPregunta+"_anio' class='inpsel'>");
    int anio_min = 0;
    int anio_max = 0;
    try {
        if (fecha_min.equals("")) {
            anio_min = Integer.parseInt(ahora_anio);
        }else {
          if (q53Idioma.equals("C"))
            anio_min = Integer.parseInt(fecha_min.substring(6));
          else 
            anio_min = Integer.parseInt(fecha_min.substring(0,4));
        }
        if (fecha_max.equals("")) {
            anio_max = Integer.parseInt(ahora_anio);
        }else {
          if (q53Idioma.equals("C"))
            anio_max = Integer.parseInt(fecha_max.substring(6));
          else
            anio_max = Integer.parseInt(fecha_max.substring(0,4));
        }
    }catch (Exception e) {}
    for (int k=anio_min; k<= anio_max; k++) {
        out.println ("<option value='"+k+"' "+(ahora_anio.equals(""+k)?"selected":"")+">"+k+"</option>");
    }
    out.println ("</select>");
    out.println ("</td>");
    out.println ("</tr>");
    out.println ("</table>");
    out.println ("<script>");
    out.println ("preguntas["+preguntasLength+"]=new gen_PregFecha('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','fecha','"+fecha_min+"','"+fecha_max+"');");
    out.println ("</script>");
    escribirSeparador (out);
}

/**
 * Escribe el texto de introducción de la encuesta, si existe
 **/
private void escribirTextoEncuesta (javax.servlet.jsp.JspWriter out, ProcletServiceData sd, String enc) throws IOException, ProcletException {
    if (!sd.gOS(enc+"[0].n0_texto").equals("")) {
        // el texto existe
        out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
        out.println ("<tr>");
        out.println ("<td width='25'></td>");
        out.println ("<td class='textonegrobold'>"+sd.gOS(enc+"[0].n0_texto")+"</td>");
        out.println ("</tr>");
        out.println ("<tr><td height='5'></td></tr>");
        out.println ("</table>");
        escribirSeparador (out);
    } // if
}
%>
<%

String cod_enc_oficina = "";
String cod_version_oficina = "";
String cod_descripcion_oficina = "";
q53EncuestaBean encuestaBean = null;
if (sd.getVal("hay_preg_ofi").equals("SI")) {
   encuestaBean  = (q53EncuestaBean)sd.getVal("encVisible");
   cod_enc_oficina = encuestaBean.getCodEncuesta();
   cod_version_oficina = encuestaBean.getCodVersion();
   cod_descripcion_oficina =encuestaBean.getDescripcionEncuesta();
}else{
   encuestaBean  = (q53EncuestaBean)sd.getVal("encuestaGV");
}

    String n8_5_1 = q53Util.getLiteral(sd, "N8_5_1", q53_idioma);
    String n8_5_2 = q53Util.getLiteral(sd, "N8_5_2", q53_idioma);
    String n8_5_3 = q53Util.getLiteral(sd, "N8_5_3", q53_idioma);
    String n8_5_4 = q53Util.getLiteral(sd, "N8_5_4", q53_idioma);

%>
<!doctype>
<html>
<head>
<title> itourbask </title>
<link rel="stylesheet" href="/appcont/itourbask/styles/estilos.css" type="text/css">
<script src="/appcont/itourbask/scripts/param.js"></script>
<script src="/appcont/itourbask/scripts/general.js"></script>
<script language="JavaScript">
function terminar(){
    if (document.getElementById("terminarActivo").value=="1") {    
    // 30.10.2007:  Comprobar que la fecha de recogida no sea superior a la actual
    var hoy = new Date ();
    var ano_hoy = hoy.getYear();
    var mes_hoy= hoy.getMonth()+1;
    var dia_hoy = hoy.getDate();
    if (mes_hoy.length == 1) mes_hoy = "0"+mes_hoy;
    if (dia_hoy.length == 1) dia_hoy = "0"+dia_hoy;
    var fecha_hoy = ano_hoy+""+mes_hoy+""+dia_hoy;
    var fecha_rec = document.frm.fech_0_anio.value +""+ document.frm.fech_0_mes.value +""+ document.frm.fech_0_dia.value;
    if (fecha_rec > fecha_hoy)
    {
        alert("<%=est_compruebe_fecha%>");
        return;
    }

	// hacer las comprobaciones de los campos numericos
	if (!gen_validartxt_int (document.frm.grp_2_2_1,"Hombres", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_2_2_2,"Mujeres", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_1,"<27", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_2,"27-45", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_3,"46-65", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_4,">65", false, 3)) return;	

	// hacer las comprobaciones de obligatoriedad, tam. de campos, etc...		
	//Para saber cuantas personas son sin edad concreta
	var totalHombres = document.frm.grp_2_2_1.value;
	var totalMujeres = document.frm.grp_2_2_2.value;
	if (totalHombres == "") totalHombres =0;
	if (totalMujeres == "") totalMujeres =0;
	var sinConcretar = parseInt(totalHombres) + parseInt(totalMujeres) - parseInt(document.frm.totalPersonas.value);	
	document.frm.sinConcretar.value=sinConcretar;
// 19.11.2007 Actualizar el valor de numero de personas con los que hay mas el valor de sin concretar
    document.frm.totalPersonas.value = parseInt(document.frm.totalPersonas.value) + parseInt(sinConcretar);

	for (var i=0; i<9; i++) {	
       // recorremos el array de preguntas, comprobando cada una de ellas.  
            if(!document.frm.opt_3[0].checked){ // Si medio de recepcion != mostrador
                if(i != 2){ // Para todas las preguntas menos la de grupo de edad
                    if (!preguntas[i].comprobar()) {
                        return;
                    }
                }
            }else{ // medio de recepcion== mostrador
                if(i != 2){ // para todas las preguntas menos la de grupo de edad
                    if (!preguntas[i].comprobar()) {
                        return;
                    }
                }else{ // para la pregunta grupo de edad
                    if (!comprobarNumeroPersonas()) {
                        return;
                    }
                }
            }
    }

        if(!comprobarNumeroPersonasProcedencia()){
            return;
        }
        if(!comprobarSeleccionProcedencia()){
          return;
        }

    // Para preguntas de tipo check !!!!!
        var cadena = "";
        if (document.getElementById("tipo_check_7") != null){
          for (var i=0; i< document.frm.opt_check_7.length; i++){
              if (document.frm.opt_check_7[i].checked == true) cadena += document.frm.opt_check_7[i].value+"#";
          }
          cadena = cadena.substring(0,cadena.length-1);
          document.frm.opt_7.value = cadena;
        }    
        var cadena = "";    
        if (document.getElementById("tipo_check_1") != null){
          for (var i=0; i< document.frm.opt_check_1.length; i++){
              if (document.frm.opt_check_1[i].checked == true) cadena += document.frm.opt_check_1[i].value+"#";
          }
           cadena = cadena.substring(0,cadena.length-1);
          document.frm.opt_1.value = cadena;
        }    
        var cadena = "";
        if (document.getElementById("tipo_check_8") != null){
          for (var i=0; i< document.frm.opt_check_8.length; i++){
              if (document.frm.opt_check_8[i].checked == true) cadena += document.frm.opt_check_8[i].value+"#";
          }
          cadena = cadena.substring(0,cadena.length-1);
          document.frm.opt_8.value = cadena;
        }    
        ordenarParametrosGrupoEdad();
        document.getElementById("terminarActivo").value="0";
        document.frm.submit();
    }
}

//Hay que validar que el numero de personas coincida tanto en grupos de edad como en hombres y mujeres
function comprobarNumeroPersonasProcedencia(){
	var total=0;
	var totalPersonas2=0;
    
    var grupoH =document.frm.grp_2_2_1.value;
    var grupoM =document.frm.grp_2_2_2.value;

    if(grupoH != "" && grupoM != ""){
        totalPersonas2 = parseInt(grupoH);
        totalPersonas2 += parseInt(grupoM);
    }else if(grupoM != "" && grupoH == ""){
        totalPersonas2 = parseInt(grupoM);
    }else if(grupoM == "" && grupoH != ""){
        totalPersonas2 = parseInt(grupoH);
    }

    var personasLocal = document.frm.proc_local_6.value;
    var personasProc1 = document.frm.nPersonasProcedencia_6_1.value;
    var personasProc2 = document.frm.nPersonasProcedencia_6_2.value;    
    var personasProc3 = document.frm.nPersonasProcedencia_6_3.value;
   
   if(personasLocal != ""){
        total += parseInt(personasLocal);        
    }if(personasProc1 != ""){
        total += parseInt(personasProc1);
    }if(personasProc2 != ""){
        total += parseInt(personasProc2);
    }if(personasProc3 != ""){
        total += parseInt(personasProc3);
    }

  if (total!=totalPersonas2) {
      alert ("<%=enc_total_personas_1%>");
      document.frm.proc_local_6.focus();
      return false;
  }else{
      return true;
  }
}

/* Validar combos de procedencia y numero de personas */
function comprobarSeleccionProcedencia(){
  var personasProc1 = document.frm.nPersonasProcedencia_6_1.value;
  var personasProc2 = document.frm.nPersonasProcedencia_6_2.value;    
  var personasProc3 = document.frm.nPersonasProcedencia_6_3.value;

  var selCCAA1 = document.frm.proc_ccaa_6_1.value;
  var selCCAA2 = document.frm.proc_ccaa_6_2.value;
  var selCCAA3 = document.frm.proc_ccaa_6_3.value;

  var selTTHH1 = document.frm.proc_territorio_6_1.value;
  var selTTHH2 = document.frm.proc_territorio_6_2.value;
  var selTTHH3 = document.frm.proc_territorio_6_3.value;	

  var selPAIS1 = document.frm.proc_pais_6_1.value;
  var selPAIS2 = document.frm.proc_pais_6_2.value;
  var selPAIS3 = document.frm.proc_pais_6_3.value;

//Primera procedencia
  if(personasProc1 != "" && personasProc1 !="0" && selPAIS1 == "0"){ //pais = españa
    if(selCCAA1 == ""){ // ccaa = ""
      alert("<%=enc_ccaa%>");
      return false;
    }else if(selCCAA1 == "0"){ // ccaa= pais vasco
      if(selTTHH1 == ""){ // tthh = ""
        alert("<%=est_alert_select_th%>");
        return false;				
      }
    }
  }

  //Segunda procedencia
  if(personasProc2 != "" && personasProc2 !="0" && selPAIS2 == "0"){
    if(selCCAA2 == ""){
      alert("<%=enc_ccaa%>");
      return false;
    }else if(selCCAA2 == "0"){			
      if(selTTHH2 == ""){
        alert("<%=est_alert_select_th%>");
        return false;				
      }
    }
  }

  //Tercera procedencia
  if(personasProc3 != "" && personasProc3 !="0" && selPAIS3 == "0"){
    if(selCCAA3 == ""){
      alert("<%=enc_ccaa%>");
      return false;
    }else if(selCCAA3 == "0"){			
      if(selTTHH3 == ""){
        alert("<%=est_alert_select_th%>");
        return false;				
      }
    }
  }

  // Comprobar que no haya procedencias duplicadas
  var coincidencia12 = "";
  if((personasProc1 != "" && personasProc1 !="0") && (personasProc2 != "" && personasProc2 !="0")){
    if (selPAIS1 == selPAIS2) { // coinciden los paises
      if (selPAIS1 != "0"){ // pais no españa
        coincidencia12 = "S";
      } else {
        if (selCCAA1 == selCCAA2) { // pais españa y coinciden las comunidades
          if (selCCAA1 != "0") { // comunidad no pais vasco
            coincidencia12 = "S";
          } else if (selTTHH1 == selTTHH2) { // pais españa, comunidad pais vasco y mismo territorio
            coincidencia12 = "S";
          }
        } // fin selCCAA1 == selCCAA2
      } // fin pais españa
    } // selPAIS1 == selPAIS2
  } // fin proc1 y proc2

  var coincidencia13 = "";
  if((personasProc1 != "" && personasProc1 !="0") && (personasProc3 != "" && personasProc3 !="0")){
    if (selPAIS1 == selPAIS3) { // coinciden los paises
      if (selPAIS1 != "0"){ // pais no españa
        coincidencia13 = "S";
      } else {
        if (selCCAA1 == selCCAA3) { // pais españa y coinciden las comunidades
          if (selCCAA1 != "0") { // comunidad no pais vasco
            coincidencia13 = "S";
          } else if (selTTHH1 == selTTHH3) { // pais españa, comunidad pais vasco y mismo territorio
            coincidencia13 = "S";
          }
        } // fin selCCAA1 == selCCAA3
      } // fin pais españa
    } // selPAIS1 == selPAIS3
  } // fin proc1 y proc3

  var coincidencia23 = "";
  if((personasProc2 != "" && personasProc2 !="0") && (personasProc3 != "" && personasProc3 !="0")){
    if (selPAIS2 == selPAIS3) { // coinciden los paises
      if (selPAIS2 != "0"){ // pais no españa
        coincidencia23 = "S";
      } else {
        if (selCCAA2 == selCCAA3) { // pais españa y coinciden las comunidades
          if (selCCAA2 != "0") { // comunidad no pais vasco
            coincidencia23 = "S";
          } else if (selTTHH2 == selTTHH3) { // pais españa, comunidad pais vasco y mismo territorio
            coincidencia23 = "S";
          }
        } // fin selCCAA2 == selCCAA3
      } // fin pais españa
    } // selPAIS2 == selPAIS3
  } // fin proc2 y proc3

  if (coincidencia12!= "" || coincidencia13!= "" ||coincidencia23!= ""){
    alert("<%=enc_procedencia_datos%>");
    return false;
  }

  return true;
}

//******************************************************************************
//validar que el numero de persona coincida tanto en grupos de edad como en hombres y mujeres
//***********************************
function comprobarNumeroPersonas(){
    var total=0;
    var totalPersonas2 = document.frm.totalPersonas.value;
    var grupoH =document.frm.grp_2_2_1.value;
    var grupoM =document.frm.grp_2_2_2.value;
	
    if(grupoH != "" && grupoM != ""){
        total = parseInt(grupoH);
        total += parseInt(grupoM);
    }else if(grupoM != "" && grupoH == ""){
        total = parseInt(grupoM);
    }else if(grupoM == "" && grupoH != ""){
        total = parseInt(grupoH);
    }

  if (total!=totalPersonas2) {
      alert ("<%=enc_total_personas%>");
      document.frm["grp_5_4_1"].focus();
      return false;
    }else{
      return true;
    }
}

//Termina las dos encuestas la del g.v. y la de la oficina
function terminarEncuestas() {
    document.frm.terminarAmbas.value=1;
    if (document.getElementById("terminarActivo").value=="1") {    
    // 30.10.2007:  Comprobar que la fecha de recogida no sea superior a la actual
    var hoy = new Date ();
    var ano_hoy = hoy.getYear();
    var mes_hoy= hoy.getMonth()+1;
    var dia_hoy = hoy.getDate();
    if (mes_hoy.length == 1) mes_hoy = "0"+mes_hoy;
    if (dia_hoy.length == 1) dia_hoy = "0"+dia_hoy;
    var fecha_hoy = ano_hoy+""+mes_hoy+""+dia_hoy;
    var fecha_rec = document.frm.fech_0_anio.value +""+ document.frm.fech_0_mes.value +""+ document.frm.fech_0_dia.value;
    if (fecha_rec > fecha_hoy)
    {
        alert("<%=est_compruebe_fecha%>");
        return;
    }
	// hacer las comprobaciones de los campos numericos
	if (!gen_validartxt_int (document.frm.grp_2_2_1,"Hombres", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_2_2_2,"Mujeres", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_1,"<27", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_2,"27-45", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_3,"46-65", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_4,">65", false, 3)) return;	

	// hacer las comprobaciones de obligatoriedad, tam. de campos, etc...	
	//Para saber cuantas personas son sin edad concreta
	var totalHombres = document.frm.grp_2_2_1.value;
	var totalMujeres = document.frm.grp_2_2_2.value;
	if (totalHombres == "") totalHombres =0;
	if (totalMujeres == "") totalMujeres =0;
	var sinConcretar = parseInt(totalHombres) + parseInt(totalMujeres) - parseInt(document.frm.totalPersonas.value);	
	document.frm.sinConcretar.value=sinConcretar;
// 19.11.2007 Actualizar el valor de numero de personas con los que hay mas el valor de sin concretar
    document.frm.totalPersonas.value = parseInt(document.frm.totalPersonas.value) + parseInt(sinConcretar);

	for (var i=0; i<preguntas.length; i++) {
            // recorremos el array de preguntas, comprobando cada una de ellas.            
            if(!document.frm.opt_3[0].checked){
               if(i != 2){
                    if (!preguntas[i].comprobar()) {
                        return;
                    }
                }
            }else{
                if(i != 2){
                    if (!preguntas[i].comprobar()) {
                        return;
                    }
                }else{
                    if (!comprobarNumeroPersonas()) {
                        return;
                    }
                }
            }
	}
         if(!comprobarNumeroPersonasProcedencia()){
            return;
        }if(!comprobarSeleccionProcedencia()){
			return;
		}
    // Para preguntas de tipo check !!!!!
       var cadena = "";
       if (document.getElementById("tipo_check_7") != null){
        for (var i=0; i< document.frm.opt_check_7.length; i++){
          if (document.frm.opt_check_7[i].checked == true) cadena += document.frm.opt_check_7[i].value+"#";
        }
        cadena = cadena.substring(0,cadena.length-1);
        document.frm.opt_7.value = cadena;
      }
      var cadena = "";
      if (document.getElementById("tipo_check_1") != null){
        for (var i=0; i< document.frm.opt_check_1.length; i++){
          if (document.frm.opt_check_1[i].checked == true) cadena += document.frm.opt_check_1[i].value+"#";
        }
        cadena = cadena.substring(0,cadena.length-1);
        document.frm.opt_1.value = cadena;
      }    
      var cadena = "";
      if (document.getElementById("tipo_check_8") != null){
        for (var i=0; i< document.frm.opt_check_8.length; i++){
          if (document.frm.opt_check_8[i].checked == true) cadena += document.frm.opt_check_8[i].value+"#";
        }
        cadena = cadena.substring(0,cadena.length-1);
        document.frm.opt_8.value = cadena;
      }    
      ordenarParametrosGrupoEdad();
   <%if (sd.gOS("hay_preg_ofi").equals("SI")) {
       if(sd.getVal("preguntasList") != null && !((List)sd.getVal("preguntasList")).isEmpty()){
           int numPreg = ((List)sd.getVal("preguntasList")).size();
           for(int i=0; i<numPreg; i++) {
               q53PreguntaBean preguntaBean = (q53PreguntaBean)((List)sd.getVal("preguntasList")).get(i);
               String tipoPregunta = preguntaBean.getTipoPregunta(); 
               boolean obligatoria = preguntaBean.isObligatoria();
              if (tipoPregunta.equals(q53Constantes.TIPO_OPCIONES)) {
                    q53OpcionesBean opcionesBean = preguntaBean.getPreguntaOpciones();
                    String formato = opcionesBean.getFormato();
                    String cod_pregunta = preguntaBean.getCodPregunta();
                    if (formato.equals(q53Constantes.FORMATO_CHECK)) { 
%>
        var cadena = "";
        if (document.getElementById("tipo_check_<%=cod_pregunta%>") != null){
          for (var i=0; i< document.frm.opt_check_<%=cod_pregunta%>.length; i++){
              if (document.frm.opt_check_<%=cod_pregunta%>[i].checked == true) cadena += document.frm.opt_check_<%=cod_pregunta%>[i].value+"#";
          }
          cadena = cadena.substring(0,cadena.length-1);
          if (cadena.length == 0 && <%=obligatoria%>)
          {
            alert("<%=enc_preg_obligatoria%>");
            return;
          }
          document.frm.opt_<%=cod_pregunta%>.value = cadena;
        }
<%
        } else if (formato.equals(q53Constantes.FORMATO_RADIO)) { // fin tipo_check
%>
          var checkedButton = "";
          // Es un array de radio
          for (var i=0;i<document.frm.opt_<%=cod_pregunta%>.length;i++) {
            if (document.frm.opt_<%=cod_pregunta%>[i].checked) {
              checkedButton=document.frm.opt_<%=cod_pregunta%>[i].value;
            }
          }
          if (checkedButton.length == 0 && <%=obligatoria%>)
          {
            alert("<%=enc_preg_obligatoria%>");
            return;
          }
<%
        } // fin tipo_radio
	  } // fin tipo_opciones
	} // fin for
    } // fin if preg_ofi
}
%>
      document.getElementById("terminarActivo").value="0";
      document.frm.submit();
    }
}

function imprimir () {
    // cod_encuesta puede ser vacío -> en ese caso se sacarán las preguntas de la recogida de datos
    var str = "/q53ItourbaskWar/q53usrEncuestaServlet?cod_encuesta=&cod_version=&accion=imprimir&respuesta_rd_asociada=&encuestas_terminadas=";
    document.location.href = str;
}

function ver_respuestas (){
    var str = "/q53ItourbaskWar/q53usrBusquedaServlet?accion=inicioBusqueda&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=";
    document.location.href = str;
}

//Muestra una pagina con todas las respuestas de una oficina
function ver_respuestasOficina(){
    var str = "/q53ItourbaskWar/q53usrVerRespuestasServlet?cod_encuesta=<%=cod_enc_oficina%>&cod_version=<%=cod_version_oficina%>&respuesta_rd_asociada=&encuestas_terminadas=&oficina=1";
    document.location.href = str;
}

function volver_cancelar (){
    var str = "/q53ItourbaskWar/q53usrListarServlet?respuesta_rd_asociada=&encuestas_terminadas=";
    document.location.href = str;
}
var preguntas = new Array();

function calcularTotalPersonas() {
    //El total de personas sera la suma de los grupos de edad
    var total = 0;
    var cantidad = 0;
    var grupo = "";
    for(var i = 1; i < 6; i++) {
        grupo = document.getElementById("grp_5_4_"+i).value;
	if (grupo!="") {
            cantidad = parseInt(grupo);
            total += cantidad;
	}
    }
    document.getElementById("totalPersonas").value=total;
}
function ordenarParametrosGrupoEdad(){
    //En la BD se guarda el numero de hombres y mujeres de cada grupo de edad
    //en base al ratio (porcentaje) de hombres y mujeres de la pregunta 'Numero de personas'
    //var totalPersonas = parseInt(document.getElementById("totalPersonas").value);
	var totalHombres = document.frm.grp_2_2_1.value;
	var totalMujeres = document.frm.grp_2_2_2.value;
	if (totalHombres == "") totalHombres =0;
	if (totalMujeres == "") totalMujeres =0;
	var totalPersonas = parseInt(totalHombres) + parseInt(totalMujeres);
    var numHombres = document.getElementById("grp_2_2_1").value;
    var numMujeres = document.getElementById("grp_2_2_2").value;
    if (numHombres=="") numHombres=0;
    else numHombres = parseInt(numHombres);
    if (numMujeres=="") numMujeres=0;
    else numMujeres = parseInt(numMujeres);
	var ratioHombres = numHombres / totalPersonas;
    var mujeresAcumulado = 0;
    var hombresAcumulado = 0;
//    for(var i = 1; i < 5; i++) {
    for(var i = 1; i < 6; i++) {
        var grupoH = 0;
        var grupoM = 0;
		grupo = document.getElementById("grp_5_4_"+i).value;
		if (grupo!="") {
            grupo = parseInt(grupo);
            grupoH = Math.round(grupo * ratioHombres);
            grupoM = grupo - grupoH;
            mujeresAcumulado = mujeresAcumulado + grupoM;
            hombresAcumulado = hombresAcumulado + grupoH;
		} else if(i==5) {
            grupo = parseInt((numHombres+numMujeres)-(mujeresAcumulado+hombresAcumulado));
            grupoH = Math.round(grupo * ratioHombres);
            grupoM = grupo - grupoH;
            mujeresAcumulado = mujeresAcumulado + grupoM;
            hombresAcumulado = hombresAcumulado + grupoH;
		}

		document.getElementById("grp_5_4_"+i+"_H").value=grupoH;
		document.getElementById("grp_5_4_"+i+"_M").value=grupoM;
    }
    if (hombresAcumulado != numHombres) {
		var diferencia = numHombres - hombresAcumulado;
		var grupo=0;
		var grupoH=0;
		var grupoM=0;
		for(var i = 5; i > 0; i--) {
			grupo = parseInt(document.getElementById("grp_5_4_"+i).value);
			if (grupo > 0) {
				if (diferencia > 0) {
					grupoH=parseInt(document.getElementById("grp_5_4_"+i+"_H").value);
					grupoM=parseInt(document.getElementById("grp_5_4_"+i+"_M").value);
					grupoM=grupoM-1;
					grupoH=grupoH+1;
					document.getElementById("grp_5_4_"+i+"_H").value=grupoH;
					document.getElementById("grp_5_4_"+i+"_M").value=grupoM;
					diferencia = diferencia - 1;
				} else if (diferencia < 0) {
					grupoH=parseInt(document.getElementById("grp_5_4_"+i+"_H").value);
					grupoM=parseInt(document.getElementById("grp_5_4_"+i+"_M").value);
					grupoM=grupoM+1;
					grupoH=grupoH-1;
					document.getElementById("grp_5_4_"+i+"_H").value=grupoH;
					document.getElementById("grp_5_4_"+i+"_M").value=grupoM;
					diferencia = diferencia + 1;
				}
			}
		}
    }
}

</script>
</head>
<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
<!-- CABECERA -->
<jsp:include page="/q53_gen_cabecera.jsp" />
<!-- FIN CABECERA -->
<!-- MENU + CENTRO -->
    <table border="0" cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td bgcolor="#20a42c" width="185" valign="top">
        <!-- MENU -->
            <jsp:include page="/q53_gen_menu.jsp" />
        <!-- FIN MENU -->
        </td>
        <td><img src="/appcont/itourbask/imgs/px.gif" width="2" height="1"></td>
        <td bgcolor="#F51D30"><img src="/appcont/itourbask/imgs/px.gif" width="3" height="1"></td>
        <td width="100%" valign="top">
            <table width="100%" cellpadding="0" cellspacing="5" border="0">
                <tr>
                    <td>
<!-- CENTRO -->
<!-- titulo Recogida de datos -->
                        <table cellpadding="0" cellspacing="0" border="0" width="100%">
                            <tr>
                                <td width="5" align="right"><img src="/appcont/itourbask/imgs/titulo_izq.gif" height="15" width="5"></td>
                                <td width="10" valign="middle" bgcolor="#20a42c" class="textoblancobold">•</td>
                                <td valign="middle" bgcolor="#20a42c"><span class="textoblancobold">
                                <%= mnu_recogida_datos %>
                                </span></td>
                                <td align="right" valign="middle" bgcolor="#20a42c"><span class="textoblancobold"><%= enc_hoy %>: <%=sd.getVal("numEncHoy")%>&nbsp;&nbsp;</span></td>
                                <td width="5"><img src="imgs/titulo_der.gif" height="15" width="5"></td>
                            </tr>
                            <tr><td><img src="imgs/px.gif" width="1" height="10"></td></tr>
                        </table>
<!-- FIN titulo Recogida de datos -->
<%
	if(encuestaBean != null){
String recogidaDatos="N";
if(encuestaBean.isRecogidaDatos()){
    recogidaDatos = "S";
}
String codEncuesta = encuestaBean.getCodEncuesta();
String codVersion = encuestaBean.getCodVersion();
String descEncuesta = encuestaBean.getDescripcionEncuesta();

%>
<form name="frm" method="post" action="/q53ItourbaskWar/q53usrGuardarServlet" class="frmclass">
<input type="hidden" name="terminarAmbas" value="0">
<input type="hidden" name="es_recogida_datos" value="<%=recogidaDatos%>">
<input type="hidden" name="cod_encuesta" value="<%=codEncuesta%>">
<input type="hidden" name="cod_version" value="<%=codVersion%>">
<input type="hidden" name="encuesta_descripcion" value="<%=descEncuesta%>">
<input type="hidden" name="encuestas_terminadas" value="<%=""%>">
<input type="hidden" name="respuesta_rd_asociada" value="<%=""%>">
<input type="hidden" name="terminarActivo" id="terminarActivo" value="1">
<%int num_pregunta = 1;%>
<input type="hidden" name="gv_cod_encuesta" value="0">
<input type="hidden" name="gv_cod_version" value="1">
    <table cellpadding='0' cellspacing='0' border='0'>
        <tr>
            <td width='10'></td>
            <td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>1</td>
            <td class='textonegrobold'>&nbsp;<%=enc_tipo_fecha%></td>
        <%
        java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat ("dd.MM.yyyy");
        String ahora = sdf.format (new java.util.Date());
        String ahora_dia = ahora.substring (0,2);
        String ahora_mes = ahora.substring (3,5);
        String ahora_anio = ahora.substring (6);
        q53FechaBean fechaBean= (q53FechaBean)sd.getVal("fechasGV");
        String fecha_min = fechaBean.getFechaMin();
        // 30.03.2007 MMG Comentado pq no sale el año actual
        //String fecha_max = fechaBean.getFechaMax();
        String fecha_max = "";
        int anio_min = 0;
        int anio_max = 0;
        try {
            if (fecha_min.equals("")) {
                anio_min = Integer.parseInt(ahora_anio);
            }else {
                
                anio_min = Integer.parseInt(fecha_min.substring(0,4));
            }
            if (fecha_max.equals("")) {
                anio_max = Integer.parseInt(ahora_anio);
            }else {
                anio_max = Integer.parseInt(fecha_max.substring(0,4));
            }
        }catch (Exception e) {
            //e.printStackTrace();
         }

        %>
        <td width='25'></td>
        <%if(q53_idioma.equals("C")){%>
        <td class='textoverdebold'>
            <select name='fech_0_dia' class='inpsel'>
                <%for (int j=1; j<=31; j++) {
                    if (j<10) {
                        if(ahora_dia.equals("0"+j)){%>
                            <option value='0<%=j%>' selected><%=j%></option>
                        <%}else{%>
                            <option value='0<%=j%>'><%=j%></option>
                        <%}%>
                    <%}else {
                        if(ahora_dia.equals(""+j)){%>
                            <option value="<%=j%>" selected><%=j%></option>
                        <%}else{%>
                            <option value="<%=j%>"><%=j%></option>
                        <%}%>
                    <%}
                }%>
            </select>
        <%if(calendarioLiteralesList != null && !calendarioLiteralesList.isEmpty()){%>
                <select name='fech_0_mes' class='inpsel'>
                <%if(ahora_mes.equals("01")){
			%>
                    <option value='01' selected><%=calendarioLiteralesList.get(0)%></option>
                <%}else{%>
                    <option value='01'><%=calendarioLiteralesList.get(0)%></option>
                <%}if(ahora_mes.equals("02")){%>
                    <option value='02' selected><%=calendarioLiteralesList.get(1)%></option>	
                <%}else{%>
                    <option value='02'><%=calendarioLiteralesList.get(1)%></option>	
                <%}if(ahora_mes.equals("03")){%>
                    <option value='03' selected><%=calendarioLiteralesList.get(2)%></option>
                <%}else{%>
                    <option value='03' ><%=calendarioLiteralesList.get(2)%></option>
                <%}if(ahora_mes.equals("04")){%>
                    <option value='04' selected><%=calendarioLiteralesList.get(3)%></option>
                <%}else{%>
                    <option value='04'><%=calendarioLiteralesList.get(3)%></option>
                <%}if(ahora_mes.equals("05")){%>
                    <option value='05' selected><%=calendarioLiteralesList.get(4)%></option>
                <%}else{%>
                    <option value='05'><%=calendarioLiteralesList.get(4)%></option>
                <%}if(ahora_mes.equals("06")){%>
                    <option value='06' selected><%=calendarioLiteralesList.get(5)%></option>
                <%}else{%>
                    <option value='06'><%=calendarioLiteralesList.get(5)%></option>
                <%}if(ahora_mes.equals("07")){%>
                    <option value='07' selected><%=calendarioLiteralesList.get(6)%></option>
                <%}else{%>
                    <option value='07' ><%=calendarioLiteralesList.get(6)%></option>
                <%}if(ahora_mes.equals("08")){%>
                    <option value='08' selected><%=calendarioLiteralesList.get(7)%></option>
                <%}else{%>
                    <option value='08'><%=calendarioLiteralesList.get(7)%></option>
                <%}if(ahora_mes.equals("09")){%>
                    <option value='09' selected><%=calendarioLiteralesList.get(8)%></option>
                <%}else{%>
                    <option value='09'><%=calendarioLiteralesList.get(8)%></option>
                <%}if(ahora_mes.equals("10")){%>
                    <option value='10' selected><%=calendarioLiteralesList.get(9)%></option>
                <%}else{%>
                    <option value='10'><%=calendarioLiteralesList.get(9)%></option>
                <%}if(ahora_mes.equals("11")){%>
                    <option value='11' selected><%=calendarioLiteralesList.get(10)%></option>
                <%}else{%>
                    <option value='11'><%=calendarioLiteralesList.get(10)%></option>
                <%}if(ahora_mes.equals("12")){%>
                    <option value='12' selected><%=calendarioLiteralesList.get(11)%></option>
                <%}else{%>
                    <option value='12' ><%=calendarioLiteralesList.get(11)%></option>
                <%}%>
            </select>
        <%}%>            
            <select name='fech_0_anio' class='inpsel'>
            &nbsp;&nbsp;&nbsp;&nbsp;
            <%
                for (int k=anio_min; k<= anio_max; k++) {
                if(ahora_anio.equals((new Integer(k)).toString())){
					%>
                    <option value='<%=k%>' selected><%=k%></option>
                <%}else{%>
                    <option value='<%=k%>'><%=k%></option>
                <%}%>
            <%}%>
            </select>
            &nbsp;&nbsp;&nbsp;&nbsp;<span class='textonegrobold'><%=enc_tipo_hora%></span>&nbsp;&nbsp;
            <select name='fech_0_hora' class='inpsel'>
                <option value='01' selected></option>
                <option value='08' >08:00</option>
                <option value='09' >09:00</option>
                <option value='10' >10:00</option>
                <option value='11' >11:00</option>
                <option value='12' >12:00</option>
                <option value='13' >13:00</option>
                <option value='14' >14:00</option>
                <option value='15' >15:00</option>
                <option value='16' >16:00</option>
                <option value='17' >17:00</option>
                <option value='18' >18:00</option>
                <option value='19' >19:00</option>
                <option value='20' >20:00</option>
                <option value='21' >21:00</option>
                <option value='22' >22:00</option>
            </select>
        </td>
        <%}else{%>
            <td class='textoverdebold'>
                <select name='fech_0_anio' class='inpsel'>
                    <%for (int k=anio_min; k<= anio_max; k++) {
                        if(ahora_anio.equals((new Integer(k)).toString())){%>
                            <option value='<%=k%>' selected><%=k%></option>
                        <%}else{%>
                            <option value='<%=k%>'><%=k%></option>
                        <%}%>
                    <%}%>
                </select>
            &nbsp;&nbsp;&nbsp;&nbsp;
                 &nbsp;&nbsp;&nbsp;&nbsp;
        <%if(calendarioLiteralesList != null && !calendarioLiteralesList.isEmpty()){%>
                <select name='fech_0_mes' class='inpsel'>
                <%if(ahora_mes.equals("01")){%>
                    <option value='01' selected><%=calendarioLiteralesList.get(0)%></option>
                <%}else{%>
                    <option value='01'><%=calendarioLiteralesList.get(0)%></option>
                <%}if(ahora_mes.equals("02")){%>
                    <option value='02' selected><%=calendarioLiteralesList.get(1)%></option>	
                <%}else{%>
                    <option value='02'><%=calendarioLiteralesList.get(1)%></option>	
                <%}if(ahora_mes.equals("03")){%>
                    <option value='03' selected><%=calendarioLiteralesList.get(2)%></option>
                <%}else{%>
                    <option value='03' ><%=calendarioLiteralesList.get(2)%></option>
                <%}if(ahora_mes.equals("04")){%>
                    <option value='04' selected><%=calendarioLiteralesList.get(3)%></option>
                <%}else{%>
                    <option value='04'><%=calendarioLiteralesList.get(3)%></option>
                <%}if(ahora_mes.equals("05")){%>
                    <option value='05' selected><%=calendarioLiteralesList.get(4)%></option>
                <%}else{%>
                    <option value='05'><%=calendarioLiteralesList.get(4)%></option>
                <%}if(ahora_mes.equals("06")){%>
                    <option value='06' selected><%=calendarioLiteralesList.get(5)%></option>
                <%}else{%>
                    <option value='06'><%=calendarioLiteralesList.get(5)%></option>
                <%}if(ahora_mes.equals("07")){%>
                    <option value='07' selected><%=calendarioLiteralesList.get(6)%></option>
                <%}else{%>
                    <option value='07' ><%=calendarioLiteralesList.get(6)%></option>
                <%}if(ahora_mes.equals("08")){%>
                    <option value='08' selected><%=calendarioLiteralesList.get(7)%></option>
                <%}else{%>
                    <option value='08'><%=calendarioLiteralesList.get(7)%></option>
                <%}if(ahora_mes.equals("09")){%>
                    <option value='09' selected><%=calendarioLiteralesList.get(8)%></option>
                <%}else{%>
                    <option value='09'><%=calendarioLiteralesList.get(8)%></option>
                <%}if(ahora_mes.equals("10")){%>
                    <option value='10' selected><%=calendarioLiteralesList.get(9)%></option>
                <%}else{%>
                    <option value='10'><%=calendarioLiteralesList.get(9)%></option>
                <%}if(ahora_mes.equals("11")){%>
                    <option value='11' selected><%=calendarioLiteralesList.get(10)%></option>
                <%}else{%>
                    <option value='11'><%=calendarioLiteralesList.get(10)%></option>
                <%}if(ahora_mes.equals("12")){%>
                    <option value='12' selected><%=calendarioLiteralesList.get(11)%></option>
                <%}else{%>
                    <option value='12' ><%=calendarioLiteralesList.get(11)%></option>
                <%}%>
            </select>
        <%}%>
            &nbsp;&nbsp;&nbsp;&nbsp;
                <select name='fech_0_dia' class='inpsel'>
                    <%for (int j=1; j<=31; j++) {
                        if (j<10) {
                            if(ahora_dia.equals("0"+j)){%>
                                <option value='0<%=j%>' selected><%=j%></option>
                          <%}else{%>
                                 <option value='0<%=j%>'><%=j%></option>
                          <%}%>
                        <%}else {
                            if(ahora_dia.equals(""+j)){%>
                                <option value="<%=j%>" selected><%=j%></option>
                            <%}else{%>
                                <option value="<%=j%>"><%=j%></option>
                            <%}%>
                        <%}
                    }%>
                </select>
                &nbsp;&nbsp;&nbsp;&nbsp;<span class='textonegrobold'><%=enc_tipo_hora%></span>&nbsp;&nbsp;
                <select name='fech_0_hora' class='inpsel'>
                    <option value='01' selected></option>
                    <option value='08' >08:00</option>
                    <option value='09' >09:00</option>
                    <option value='10' >10:00</option>
                    <option value='11'>11:00</option>
                    <option value='12' >12:00</option>
                    <option value='13' >13:00</option>
                    <option value='14'>14:00</option>
                    <option value='15' >15:00</option>
                    <option value='16' >16:00</option>
                    <option value='17'>17:00</option>
                    <option value='18' >18:00</option>
                    <option value='19' >19:00</option>
                    <option value='20'>20:00</option>
                    <option value='21' >21:00</option>
                    <option value='22' >22:00</option>
                </select>
            </td>
        <%}%>
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregFecha('0','<%=enc_tipo_fecha%>','S','fecha','<%=fecha_min%>','<%=fecha_max%>');
</script>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#20a42c'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<%List literalesGruposList = null;
if(sd.getVal("literalesGrupos") != null){
    literalesGruposList = (List)sd.getVal("literalesGrupos");
}
if(literalesGruposList != null && !literalesGruposList.isEmpty()){%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>2</td>
        <td class='textonegrobold'>&nbsp;<%=literalesGruposList.get(0)%></td>
        <td width='25'></td>
        <td class='textoverdebold'>&nbsp;<%=literalesGruposList.get(1)%>&nbsp;</td>
        <td><input type='text' name='grp_2_2_1' size='2' maxlength='2' class='inptxt' style='{width:25px;}'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td class='textoverdebold'>&nbsp;<%=literalesGruposList.get(2)%>&nbsp;</td>
        <td><input type='text' name='grp_2_2_2' size='2' maxlength='2' class='inptxt' style='{width:25px;}'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td><input type='hidden' name='sinConcretar' value='0'></td>
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregGrupos('2','<%=literalesGruposList.get(0)%>','S','grupos','2');
</script>
<%}%>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#20a42c'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>3</td>
        <td class='textonegrobold'>&nbsp;<%=n1_5%></td>
        <td width='25'></td>
        <td class='textogrisclarobold'>&nbsp;<%=enc_total%>&nbsp;</td>
        <td class='textogrisclarobold'>&nbsp;&nbsp;&nbsp;&nbsp;<input type='text' name='totalPersonas' id='totalPersonas' disabled value='0' size='10' maxlength='10' class='inptxt' style='{width:50px;}'>&nbsp;<%=enc_personas%>&nbsp;</td>
    </tr>
    <tr><td height='5'></td></tr>
</table>
<table cellpadding='0' cellspacing='0' border='0' >
    <tr>
        <td width='25'></td>
        <td class='textoverdebold'>&nbsp;<%= n8_5_1 %>&nbsp;</td>
        <td><input type='text' name='grp_5_4_1' id='grp_5_4_1' value='' size='2' maxlength='2' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <input type='hidden' name='grp_5_4_1_H' id='grp_5_4_1_H' value=''>
        <input type='hidden' name='grp_5_4_1_M' id='grp_5_4_1_M' value=''>
        <td class='textoverdebold'>&nbsp;<%= n8_5_2 %>&nbsp;</td>
        <td><input type='text' name='grp_5_4_2' id='grp_5_4_2' value='' size='2' maxlength='2' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <input type='hidden' name='grp_5_4_2_H' id='grp_5_4_2_H' value=''>
        <input type='hidden' name='grp_5_4_2_M' id='grp_5_4_2_M' value=''>
        <td width='25'></td>
        <td class='textoverdebold'>&nbsp;<%= n8_5_3 %>&nbsp;</td>
        <td><input type='text' name='grp_5_4_3' id='grp_5_4_3' value='' size='2' maxlength='2' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <input type='hidden' name='grp_5_4_3_H' id='grp_5_4_3_H' value=''>
        <input type='hidden' name='grp_5_4_3_M' id='grp_5_4_3_M' value=''>
        <td class='textoverdebold'>&nbsp;<%= n8_5_4 %>&nbsp;</td>
        <td><input type='text' name='grp_5_4_4' id='grp_5_4_4' value='' size='2' maxlength='2' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <input type='hidden' name='grp_5_4_4_H' id='grp_5_4_4_H' value=''>
        <input type='hidden' name='grp_5_4_4_M' id='grp_5_4_4_M' value=''>
        <input type='hidden' name='grp_5_4_5' id='grp_5_4_5' value=''>
        <input type='hidden' name='grp_5_4_5_H' id='grp_5_4_5_H' value=''>
        <input type='hidden' name='grp_5_4_5_M' id='grp_5_4_5_M' value=''>
    </tr>
</table>
    <script>
    preguntas[preguntas.length]=new gen_PregGrupos('5','<%=n1_5%>','S','grupos','5');
    </script>        
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#20a42c'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>4</td>
        <td class='textonegrobold'>&nbsp;<%=enc_tipo_procedencia%></td>    
        <td width='25'></td>
        <td class='textoverdebold' align="left"><%=enc_local%>&nbsp;&nbsp;
        <input type='text' name='proc_local_6' size='2' maxlength='2' class='inptxt' style='{width:25px;}'>
        <span class="textogrisclarobold">&nbsp;&nbsp;<%=enc_personas%></span>
        </td>
    </tr> 
</table>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='25'></td>
        <td colspan ="2" class='textoverdebold'><%=enc_territorio_historico%>&nbsp;&nbsp;</td>
        <td colspan ="2">
            <table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>    
                    <%for(int i=1;i<4;i++){%>
                    <td width='10'></td>
                    <td>        
                        <select name='proc_territorio_6_<%=i%>' class='inpsel' onChange='gen_changeTerritorio("<%=i%>");'> 
                            <option value="">--</option>
                            <%for (int j=0; j<sd.gI("proc_territorio.length"); j++) {%> 
                                <option value='<%=sd.gOS("proc_territorio["+j+"].p2_cod_territorio")%>'><%=sd.gOS("proc_territorio["+j+"].p2_nombre")%></option>
                            <%}%>
                        </select>
                    </td>
                    <%}%>
            </table>
        </td>
    </tr>
    <tr>
        <td width='25'></td>
        <td colspan ="2" class='textoverdebold'><%=enc_comunidad_autonoma%>&nbsp;&nbsp;</td>
	<td colspan ="2">
            <table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>           
                    <%for(int i=1;i<4;i++){%> 
                    <td width='10'></td>
                    <td> 
                        <select name='proc_ccaa_6_<%=i%>' class='inpsel' onChange='gen_changeCCAA("<%=i%>");'>
						 <option value=""></option>
						<%if(sd.gOS("q53_cki.q53_idioma").equals(q53Constantes.IDIOMA_EUS)){%>
							<option value="0" selected>--(Euskadi)</option>
						<%}else{%>
							<option value='0' selected>-- (Pais Vasco)</option>
						<%}%>	
                           
                            <%for (int j=0; j<sd.gI("proc_comunidad.length"); j++) {
									if(!sd.gOS("proc_comunidad["+j+"].p1_cod_comunidad").equals("0")){%>
										<option value='<%=sd.gOS("proc_comunidad["+j+"].p1_cod_comunidad")%>'><%=sd.gOS("proc_comunidad["+j+"].p1_nombre")%></option>
									<%}%>
                            <%}%>
                        </select>
                    </td>
                    <%}%>
            </table>
        </td>
    </tr>
    <tr>
        <td width='25'></td>
        <td class='textoverdebold' colspan ="2"><%=enc_pais%>&nbsp;&nbsp;</td>
	<td colspan ="2">
	 <table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>          
                    
                    <%for(int i=1;i<4;i++){%>
                    <td width='10'></td>
                    <td>  
                    <select name='proc_pais_6_<%=i%>' class='inpsel' onChange='gen_changePais("<%=i%>");'>
                        <!-- <option value=""></option> -->
						<%if(sd.gOS("q53_cki.q53_idioma").equals(q53Constantes.IDIOMA_EUS)){%>
							<option value="0" selected>--(Espainia)</option>
						<%}else{%>
							<option value='0' selected>-- (España)</option>
						<%}%>						
                        <%for (int j=0; j<sd.gI("proc_pais.length"); j++) {
							if(!(sd.gOS("proc_pais["+j+"].p0_cod_pais").equals("0"))){%>								
								<option value='<%=sd.gOS("proc_pais["+j+"].p0_cod_pais")%>'><%=sd.gOS("proc_pais["+j+"].p0_nombre")%></option>
							<%}%>
                        <%}%>
                     </td>
                    <%}%>
            </table>
        </td>
    </tr>
    <tr>
        <td width='25'>&nbsp;</td>
        <td class='textoverdebold' colspan ="2">&nbsp;</td>
	<td colspan ="2">
	<table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>                     
                    <%for(int i=1;i<4;i++){%>
                    <td width='10'>&nbsp;</td>
                    <td class='textogrisclarobold'><input type='text' size='2' name="nPersonasProcedencia_6_<%=i%>" maxlength='2' class='inptxt' style='{width:25px;}'>&nbsp;&nbsp;<%=enc_personas%></td>
                    <%}%>
            </table>
        </td>
    </tr>
</table>
<script>
    preguntas[preguntas.length]=new gen_PregProcedencia('6','<%=enc_tipo_procedencia%>','N','procedencia');
</script>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#20a42c'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<%
List idiomaConsultaList = null;
    if(sd.getVal("literalesIdiomaConsulta") != null){
    idiomaConsultaList = (List)sd.getVal("literalesIdiomaConsulta");
    if(idiomaConsultaList != null && !idiomaConsultaList.isEmpty()){
%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>5</td>
        <td class='textonegrobold'>&nbsp;<%=idiomaConsultaList.get(0)%></td>        
        <td width='25'></td>
        <%for(int j=1;j<8;j++){%>        
        <td><input name='opt_4' type='radio' value='<%=j%>'></td>
        <td class='textoverdebold'><%=idiomaConsultaList.get(j)%></td>
        <td width='8'></td>
        <%}%>
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('4','<%=idiomaConsultaList.get(0)%>','S','opciones','radio');
</script>
<%  }
}%>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#20a42c'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<%List informacionSolicitadaList = null;
if(sd.getVal("literalesInformacionSolicitada") != null){
    informacionSolicitadaList = (List)sd.getVal("literalesInformacionSolicitada");
    if(informacionSolicitadaList != null && !informacionSolicitadaList.isEmpty()){
%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>6</td>
        <td class='textonegrobold'>&nbsp;<%=informacionSolicitadaList.get(0)%></td>
        <td width='25'></td>
        <input name='opt_7' type='hidden' id='tipo_check_7'>
        <%for(int j=1;j<7;j++){%>
        <td><input name='opt_check_7' type='checkbox' value='<%=j%>'></td>
        <td class='textoverdebold'><%=informacionSolicitadaList.get(j)%>&nbsp;&nbsp;</td>
        <%}%>        
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('7','<%=informacionSolicitadaList.get(0)%>','S','opciones','check');
</script>
<%  }
}%>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#20a42c'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<%List tipoInformacionList = null;
if(sd.getVal("literalesTipoInformacion") != null){
    tipoInformacionList = (List)sd.getVal("literalesTipoInformacion");
    if(tipoInformacionList != null && !tipoInformacionList.isEmpty()){
%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>7</td>
        <td class='textonegrobold'>&nbsp;<%=tipoInformacionList.get(0)%></td>
    </tr>
    <tr><td height='5'></td></tr>
</table>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='25'></td>
        <td colspan="4" class='textonegrobold' align="center"><%=tipoInformacionList.get(17)%></td>
        <td width='8'></td>
        <td colspan="4" class='textonegrobold' align="center"><%=tipoInformacionList.get(18)%></td>
        <td width='8'></td>
        <td colspan="4" class='textonegrobold' align="center"><%=tipoInformacionList.get(19)%></td>
    </tr>
    <tr>
        <td width='25'></td>
        <td bgcolor='#000000' colspan="4"><img src='imgs/px.gif' width='1' height='1'></td>
        <td width='8'></td>
        <td bgcolor='#000000' colspan="4"><img src='imgs/px.gif' width='1' height='1'></td>
        <td width='8'></td>
        <td bgcolor='#000000' colspan="4"><img src='imgs/px.gif' width='1' height='1'></td>
    </tr>
    <tr>
        <td width='25'></td>
        <input name='opt_8' type='hidden' id='tipo_check_8'>
        <td><input name='opt_check_8' type='checkbox' value='10'></td><td class='textoverdebold'><%=tipoInformacionList.get(10)%>&nbsp;&nbsp;</td>
        <td><input name='opt_check_8' type='checkbox' value='9'></td><td class='textoverdebold'><%=tipoInformacionList.get(9)%>&nbsp;&nbsp;</td>
        <td width='8'></td>
        <td><input name='opt_check_8' type='checkbox' value='1'></td><td class='textoverdebold'><%=tipoInformacionList.get(1)%>&nbsp;&nbsp;</td>
        <td><input name='opt_check_8' type='checkbox' value='12'></td><td class='textoverdebold'><%=tipoInformacionList.get(12)%>&nbsp;&nbsp;</td>
        <td width='8'></td>
        <td><input name='opt_check_8' type='checkbox' value='11'></td><td class='textoverdebold'><%=tipoInformacionList.get(11)%>&nbsp;&nbsp;</td>
        <td><input name='opt_check_8' type='checkbox' value='7'></td><td class='textoverdebold'><%=tipoInformacionList.get(7)%>&nbsp;&nbsp;</td>
    </tr>
    <tr>
        <td width='25'></td>
        <td><input name='opt_check_8' type='checkbox' value='14'></td><td class='textoverdebold'><%=tipoInformacionList.get(14)%>&nbsp;&nbsp;</td>
        <td><input name='opt_check_8' type='checkbox' value='6'></td><td class='textoverdebold'><%=tipoInformacionList.get(6)%>&nbsp;&nbsp;</td>
        <td width='8'></td>
        <td><input name='opt_check_8' type='checkbox' value='2'></td><td class='textoverdebold'><%=tipoInformacionList.get(2)%>&nbsp;&nbsp;</td>
        <td><input name='opt_check_8' type='checkbox' value='5'></td><td class='textoverdebold'><%=tipoInformacionList.get(5)%>&nbsp;&nbsp;</td>
        <td width='8'></td>
        <td><input name='opt_check_8' type='checkbox' value='3'></td><td class='textoverdebold'><%=tipoInformacionList.get(3)%>&nbsp;&nbsp;</td>
        <td><input name='opt_check_8' type='checkbox' value='4'></td><td class='textoverdebold'><%=tipoInformacionList.get(4)%>&nbsp;&nbsp;</td>
    </tr>
    <tr>
        <td width='25'></td>
        <td><input name='opt_check_8' type='checkbox' value='16'></td><td class='textoverdebold'><%=tipoInformacionList.get(16)%>&nbsp;&nbsp;</td>
        <td><input name='opt_check_8' type='checkbox' value='15'></td><td class='textoverdebold'><%=tipoInformacionList.get(15)%>&nbsp;&nbsp;</td>
        <td width='8'></td>
        <td><input name='opt_check_8' type='checkbox' value='13'></td><td class='textoverdebold'><%=tipoInformacionList.get(13)%>&nbsp;&nbsp;</td>
        <td><input name='opt_check_8' type='checkbox' value='8'></td><td class='textoverdebold'><%=tipoInformacionList.get(8)%>&nbsp;&nbsp;</td>
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('8','<%=tipoInformacionList.get(0)%>','S','opciones','check');
</script>
<%  }
}%>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#20a42c'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<%List tipoServicioList = null;
if(sd.getVal("literalesTipoServicio") != null){
    tipoServicioList = (List)sd.getVal("literalesTipoServicio");
    if(tipoServicioList != null && !tipoServicioList.isEmpty()){
%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>8</td>
        <td class='textonegrobold'>&nbsp;<%=tipoServicioList.get(0)%></td>
        <td width='25'></td>
        <input name='opt_1' type='hidden' id='tipo_check_1'>
        <%for(int j=1;j<6;j++){%>
        <td><input name='opt_check_1' type='checkbox' value='<%=j%>'></td>
        <td class='textoverdebold'><%=tipoServicioList.get(j)%>&nbsp;&nbsp;</td>
        <%}%>
       </td>
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('1','<%=tipoServicioList.get(0)%>','S','opciones','check');
</script>
<%  }
}%>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#20a42c'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
 <table cellpadding='0' cellspacing='0' border='0'>;
    <tr>
		<td width='10'></td>
		<td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>12</td>
		<td class='textonegrobold'>&nbsp;<%=n1_12%></td>
	</tr>
	<tr>
		<td height='5'></td>
	</tr>
</table>
<table cellpadding='0' cellspacing='0' border='0'>
	<tr>
		<td width='25'></td>
		<td><input name='txt_"+codPregunta+"' type='text' class='inptxt' style='width: 400px;'></td>
	</tr>
</table>
<script>
	preguntas["+preguntasLength+"]=new gen_PregTexto('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','texto','"+tamano+"')
</script>
		
<%List medioRecepcionList = null;
if(sd.getVal("literalesMedioRecepcion") != null){
    medioRecepcionList = (List)sd.getVal("literalesMedioRecepcion");
    if(medioRecepcionList != null && !medioRecepcionList.isEmpty()){
%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' bgcolor='#20a42c' class='textoblancobold'>9</td>
        <td class='textonegrobold'>&nbsp;<%=medioRecepcionList.get(0)%></td>
        <td width='25'></td>
        <%for(int j=1;j<8;j++){%>
        <td><input name='opt_3' type='radio' value='<%=j%>'></td>
        <td class='textoverdebold'><%=medioRecepcionList.get(j)%></td>
        <td width='8'></td>
        <%}%>        
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('3','<%=medioRecepcionList.get(0)%>','S','opciones','radio');
</script>
<%  }
}%>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#20a42c'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<!-- terminar -->
<table cellpadding="2" cellspacing="0" border="0" align="center">
    <tr>
        <td><img src="/appcont/itourbask/imgs/icono_imprimir.gif" width="23" height="22" border="0" alt=""></td>
        <td class="textonegrobold">[<a href="javascript:imprimir();" hidefocus class="linkrojobold"><%=usr_ver_formato_imprimir%></a>]</td>
        <td width="20"></td>
        <td><img src="/appcont/itourbask/imgs/btn_sgte.gif" width="14" height="14" border="0" alt=""></td>
        <td class="textonegrobold">[<a href="#" onClick="javascript:terminar();return false;" hidefocus id="btn_terminar" class="linkrojobold"><%=gen_terminar%></a>]</td>
        <!-- FIN terminar -->
        <td width="20"></td>
        <!-- Ver encuestas -->
        <td><img src="/appcont/itourbask/imgs/btn_sgte.gif"  width="14" height="14" border="0" alt=""></td>
        <td class="textonegrobold">
        [<a href="javascript:ver_respuestas ();" hidefocus class="linkrojobold"><%=usr_ver_encuestas%></a>]
        </td>
        <td width="20"></td>
    </tr>
</table>
<!-- Ver encuestas -->
<!-- titulo Recogida de datos -->
<%}
if (sd.gOS("hay_preg_ofi").equals("SI")) {%> 
<table cellpadding="0" cellspacing="0" border="0" width="100%">
    <tr><td colspan="5"></td></tr>
    <tr><td colspan="5"></td></tr>
    <tr>
        <td width="5" align="right"><img src="/appcont/itourbask/imgs/titulo_izq.gif" height="15" width="5"></td>
        <td width="10" valign="middle" bgcolor="#20a42c" class="textoblancobold">•</td>
        <td valign="middle" bgcolor="#20a42c"><span class="textoblancobold"><%=cod_descripcion_oficina%></span></td>
        <td align="right" valign="middle" bgcolor="#20a42c"></td>
        <td width="5"><img src="imgs/titulo_der.gif" height="15" width="5"></td>
    </tr>
    <tr><td><img src="imgs/px.gif" width="1" height="10"></td></tr>
</table>
<!-- FIN titulo Recogida de datos --> 

<input type="hidden" name="ofi_cod_encuesta" value="<%=cod_enc_oficina%>">
<input type="hidden" name="ofi_cod_version" value="<%=cod_version_oficina%>">
<%
    int num_pregunta = 10;
    int preguntasLength= 8;
    escribirTextoEncuesta(out, sd, "enc_ofi");    
    if(sd.getVal("preguntasList") != null && !((List)sd.getVal("preguntasList")).isEmpty()){
        List preguntasList = (List)sd.getVal("preguntasList");
        int numPreguntas = preguntasList.size();
        for(int k=0;k<numPreguntas;k++){
            q53PreguntaBean preguntaBean = (q53PreguntaBean)preguntasList.get(k);
            String tipoPregunta = preguntaBean.getTipoPregunta();
            if (tipoPregunta.equals(q53Constantes.TIPO_OPCIONES)) {
                preguntasLength++;            
                escribirPregOpciones(out, preguntaBean, num_pregunta,preguntasLength);
            }else if (tipoPregunta.equals(q53Constantes.TIPO_TEXTO)) {
                preguntasLength++;
                escribirPregTexto(out, preguntaBean, num_pregunta,preguntasLength);
            }else if (tipoPregunta.equals(q53Constantes.TIPO_FECHA)) {
                preguntasLength++;
                escribirPregFecha(out, preguntaBean,sd,  num_pregunta,preguntasLength);
            }
            num_pregunta++;
        }
    } // for i%>

<!-- terminar -->
<table cellpadding="2" cellspacing="0" border="0" align="center">
    <tr>
        <td></td>
        <td></td>
        <td width="20"></td>
        <td><img src="/appcont/itourbask/imgs/btn_sgte.gif" width="14" height="14" border="0" alt=""></td>
        <td class="textonegrobold">[<a href="#" onClick="terminarEncuestas();return false;" hidefocus id="btn_terminarAmbas" class="linkrojobold"><%=gen_terminar_ambas%></a>]</td>
        <td width="20"></td>
         <!-- Ver encuestas -->
        <td><img src="/appcont/itourbask/imgs/btn_sgte.gif"  width="14" height="14" border="0" alt=""></td>
        <td class="textonegrobold">[<a href="javascript:ver_respuestasOficina();" hidefocus class="linkrojobold"><%=usr_ver_encuestas%></a>]
       </td>
        <td width="20"></td>
    </tr>
</table>
<%} // if hay_preg_ofi
%>
<!-- FIN terminar -->
</form>
<%//}
%>
<!-- FIN CENTRO -->
</td>
</tr>
</table>
</body>
</html>